/*
 * fis
 * http://fis.baidu.com/
 */

'use strict';


/*html转js*/
var toHtmlString = function(html) {
    var htmlArr = html.replace(/\\/g, "\\\\").replace(/\\/g, "\\/").replace(/\'/g, "\\\'").replace(/\"/g, "\\\"").replace(/(\n)+|(\r\n)+/g, "").split('\n');
    var len = htmlArr.length;
    var outArr = [];
    outArr.push("[");
    for(var i = 0,num = len; i < len; i ++){
        if (htmlArr[i] !== "") {
            if (i === len - 1) {
                outArr.push("\"" + htmlArr[i] + "\"");
            } else {
                outArr.push("\"" + htmlArr[i] + "\",\n");
            }
        }
    }
    outArr.push("].join(\"\");");
    return outArr.join("");
}

var root = fis.project.getProjectPath();
module.exports = function(content, file, conf){
    conf.paths = [ file.dirname, root ];
    conf.syncImport = true;
    conf.relativeUrls = true;
    content = "function returnHtml(){return "+ toHtmlString(content) +"};";
	return content;
};